import { AbstractCompressor } from '../models/export.js';
import { FORMATS_NAMES } from '../../types/all.js';
class CompressorJpeg extends AbstractCompressor {
    async compress(filePath) {
        const outputPath = this.getOutputPath(filePath, FORMATS_NAMES.JPEG);
        const buffer = await this.sharp(filePath)
            .toFormat('jpeg')
            .jpeg({ quality: this.quality, force: true })
            .toBuffer();
        return [{ outputPath, buffer }];
    }
}
export default CompressorJpeg;
