import { AbstractCompressor } from '../models/export.js';
import { FORMATS_NAMES } from '../../types/all.js';
class CompressorJpg extends AbstractCompressor {
    async compress(filePath) {
        const outputPath = this.getOutputPath(filePath, FORMATS_NAMES.JPG);
        const buffer = await this.sharp(filePath)
            .toFormat('jpg')
            .jpeg({ quality: this.quality, force: true })
            .toBuffer();
        return [{ outputPath, buffer }];
    }
}
export default CompressorJpg;
