import { AbstractCompressor } from '../models/export.js';
import { FORMATS_NAMES } from '../../types/all.js';
class CompressorPng extends AbstractCompressor {
    async compress(filePath) {
        const outputPath = this.getOutputPath(filePath, FORMATS_NAMES.PNG);
        const buffer = await this.sharp(filePath)
            .toFormat('png')
            .png({ quality: this.quality, force: true })
            .toBuffer();
        return [{ outputPath, buffer }];
    }
}
export default CompressorPng;
