import { AbstractCompressor } from '../models/export.js';
import { FORMATS_NAMES } from '../../types/all.js';
class CompressorWebP extends AbstractCompressor {
    async compress(filePath) {
        const outputPath = this.getOutputPath(filePath, FORMATS_NAMES.WEBP);
        const buffer = await this.sharp(filePath)
            .webp({ quality: this.quality })
            .toBuffer();
        return [{ outputPath, buffer }];
    }
}
export default CompressorWebP;
