import { AbstractCompressor } from '../../models/export.js';
import { CompressorWebP, OriginalCompressionShell } from '../export.js';
class FullCompressionShell extends AbstractCompressor {
    constructor(quality) {
        super(quality);
        this.webpCompressor = new CompressorWebP(quality);
        this.originalCompressionShell = new OriginalCompressionShell(quality);
    }
    async compress(filePath) {
        const compressedDTOsOriginal = await this.originalCompressionShell.compress(filePath);
        const compressedDTO = await this.webpCompressor.compress(filePath);
        return [...compressedDTOsOriginal, ...compressedDTO];
    }
}
export default FullCompressionShell;
