import { AbstractCompressor } from '../../models/export.js';
import ValidationService from '../../services/ValidationService.js';
import { CompressorJpeg, CompressorPng, CompressorJpg } from '../export.js';
class OriginalCompressionShell extends AbstractCompressor {
    constructor(quality) {
        super(quality);
        this.jpegCompressor = new CompressorJpeg(quality);
        this.jpgCompressor = new CompressorJpg(quality);
        this.pngCompressor = new CompressorPng(quality);
        this.validation = ValidationService;
    }
    async compress(filePath) {
        const compressedDTOs = [];
        if (this.validation.isJpeg(filePath)) {
            const compressedDTO = await this.jpegCompressor.compress(filePath);
            compressedDTOs.push(...compressedDTO);
        }
        if (this.validation.isJpg(filePath)) {
            const compressedDTO = await this.jpgCompressor.compress(filePath);
            compressedDTOs.push(...compressedDTO);
        }
        if (this.validation.isPng(filePath)) {
            const compressedDTO = await this.pngCompressor.compress(filePath);
            compressedDTOs.push(...compressedDTO);
        }
        return compressedDTOs;
    }
}
export default OriginalCompressionShell;
