import { FORMATS_NAMES } from '../../types/all.js';
import { formats } from '../constants.js';
class ValidationService {
    constructor() {
        this.validFormats = formats.filter(format => format !== FORMATS_NAMES.WEBP);
    }
    isFileValid(stats, file) {
        return stats.isFile() && this.validFormats.some((format) => file.endsWith(format));
    }
    isJpeg(filePath) {
        return filePath.endsWith(FORMATS_NAMES.JPEG);
    }
    isJpg(filePath) {
        return filePath.endsWith(FORMATS_NAMES.JPG);
    }
    isPng(filePath) {
        return filePath.endsWith(FORMATS_NAMES.PNG);
    }
}
export default new ValidationService();
