import { LogCompress, LogNotCompress } from './LogCompress.js';
import chalk from 'chalk';
import prettyBytes from 'pretty-bytes';
class SizeCounter {
    constructor() {
        this.totalSize = 0;
    }
    count(originalSize, outputSize, filePath) {
        const calculate = originalSize - outputSize;
        const savings = (calculate / originalSize) * 100;
        const isCompressed = savings > 0;
        const percents = `(${savings.toFixed(2)} %)`;
        const log = [
            chalk.cyan(filePath),
            chalk.blue(prettyBytes(originalSize)),
            chalk.blue(prettyBytes(outputSize)),
            isCompressed ? chalk.green(percents) : chalk.red(percents)
        ];
        if (isCompressed) {
            this.totalSize += calculate;
            // @ts-ignore
            LogCompress(chalk.green('[Was Compressed]:'), ...log);
        }
        else {
            // @ts-ignore
            LogNotCompress(chalk.red('[Not Compressed]:'), ...log);
        }
    }
    getSize() {
        return prettyBytes(this.totalSize);
    }
}
export default new SizeCounter();
